Subject: bug#68810: 29.1; Recommending setting transfer.fsckObjects of git to true is not necessary

From: Lin Jian <[email-masked]>
Date: Tue, 30 Jan 2024 07:16:45 +0800

Recommendation about setting transfer.fsckObjects of git to true can be
found in admin/notes/git-workflow and CONTRIBUTE.  In addition, it is
set in autogen.sh.

This is triggered by a discussion[1] on emacs-devel.  The first commit
about this is cedd7cad092809a97c1ed7fb883b68fa844cea58 on 2016-01-31.
However, on 2016-02-04, another discussion[2] shows that git is secure
by default so setting this option is not necessary.

What about removing this unnecessary recommendation?

By the way, the same recommendation can be found on Emacswiki[3][4].

[1]: https://lists.gnu.org/r/emacs-devel/2016-01/msg01802.html
[2]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813157#29
[3]: https://www.emacswiki.org/emacs/GitQuickStartForEmacsDevs
[4]: https://www.emacswiki.org/emacs/GitForEmacsDevs